<?php
/**
 * @package    MaxDelivery
 * @subpackage TestSuite
 * @author     James Floyd <james@awarez.net>
 *
 * @TODO add header tests when simpletest is updated to the new version (1.0RC2)
 */

/**
 * A class for testing alg.php.
 */
 
include_once('Delivery_Test_Tracker.php');

class Delivery_TestOfTrVar extends Delivery_Test_Tracker
{
    
    /**
     * The constructor method.
     */
    function Delivery_TestOfTrVar()
    {        
        $this->WebTestCase();
    }
    
    
    /**
    * test_Log
    *
    * Test - 1: Test an empty request should result in the expected output
    * Test - 3: Test response header has a type image for no input
    */
    function test_output() {
        
        // Test 1
        $this->createBrowser();
        $adlogUrl = "http://localhost/search/branches/ad_view_click_conversion/www/delivery/trvar.php";
        $this->get($adlogUrl);
        $this->assertResponse(200);
        
        
        // 2. Check last request set a coookie
        // $this->assertCookie($conf['var']['viewerId']);
        // $this->assertCookie('viewerId');
        
        // 3. Test reponse header - is an image
        //$this->assertHeader('Content-Type','image/gif');
    }
    
    
    function testImpressionLog() {
        $url = 'http://localhost/search/branches/ad_view_click_conversion/www/delivery/tr.php?trackerId=1';
        parent::testImpressionLog($url);
    }
}

?>
